---
agentTools:
  projectIndex: https://mctime.readme.io/llms.txt
---

# Authentication

By using McTime's REST-based API, you can push and retrieve data to and from McTime and integrate it with other systems.

[block:api-header]
{
  "title": "API Base Endpoint"
}
[/block]

[block:code]
{
  "codes": [
    {
      "code": "https://mctime.com/api/v2/auth/",
      "language": "text",
      "name": "API Base Enpoint"
    }
  ]
}
[/block]

[block:html]
{
  "html": "<div>\nFor authentication you will need your <a rel=\"nofollow\" target=\"_blank\" href=\"https://mctime.com/login?api_key\">API key</a> which you can find in your own profile settings.\n</div><br><br>"
}
[/block]

[block:image]
{
  "images": [
    {
      "image": [
        "https://files.readme.io/f90e252-API_Key.png",
        "API Key.png",
        2038,
        768,
        "#efdde4"
      ]
    }
  ]
}
[/block]

All your requests should include "API\_KEY" in request header, containing your API Key.

[block:code]
{
  "codes": [
    {
      "code": "curl -H \"content-type: application/json\" -H \"API_KEY: yourAPIkey\" -X GET https://mctime.com/api/v2/auth/...",
      "language": "curl"
    }
  ]
}
[/block]